import { defineMongooseModel } from '#nuxt/mongoose'

export const ProductSchema = defineMongooseModel({
  name: 'products',
  schema: {
    name: {
      type: String,
      required: true,
    },
    brand: {
      type: String,
      required: true,
    },
    image: {
      type: String,
      required: true,
      unique: true,
    },
    market: {
      type: String,
      required: true,
    },
    category: {
      type: String,
      required: true,
    },
    sku: {
      type: String,
      required: true,
      unique: true,
    },
    price: {
      type: Number,
      required: true,
    },
    pieces: {
      type: Number,
      required: true,
    },
    sheets: {
      type: Number,
      required: true,
    },
    layers: {
      type: Number,
      required: true,
    },
  }
})